ru.bitel.bgbilling.kernel.event.events

## Class GetAdditionalWebActionListEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.GetAdditionalActionListEvent
        - - ru.bitel.bgbilling.kernel.event.events.GetAdditionalWebActionListEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class GetAdditionalWebActionListEvent
      extends GetAdditionalActionListEvent

  Синхронное событие - Получение списка доп. действия для Web статистики.
  Создание списка доп. действий, доступных к вызову со страницы Web-статистики пользователя.
  Расширяет событие `GetAdditionalActionListEvent`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GetAdditionalWebActionListEvent()`
    `` | `GetAdditionalWebActionListEvent(int cid, javax.servlet.http.HttpServletRequest request)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterMap` | `getParams()`
    `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `void` | `setParams(ParameterMap params)`
    `void` | `setRequest(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.events.GetAdditionalActionListEvent

      `actionAllowed, addAction, addAction, getActionList, getActionListWithDescription`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAdditionalWebActionListEvent

          protected GetAdditionalWebActionListEvent()

    - #### GetAdditionalWebActionListEvent

          public GetAdditionalWebActionListEvent(int cid,
                                                 javax.servlet.http.HttpServletRequest request)

      Конструктор события.
      Создается с кодом пользователя Web-статистики
      Parameters:
        `cid` - - id договора
      See Also:
        `User`

  - ### Method Detail

    - #### getRequest

          public javax.servlet.http.HttpServletRequest getRequest()

    - #### setRequest

          public void setRequest(javax.servlet.http.HttpServletRequest request)

    - #### getParams

          public ParameterMap getParams()

    - #### setParams

          public void setParams(ParameterMap params)